1. thetoothfairy's Avatar
    Was just crusing the app store and seen that Monopoly has been released for any that want it... the link is below.... have fun!


    http://itunes.apple.com/WebObjects/M...299110947&mt=8
    2008-12-09 09:06 AM
  2. one1's Avatar
    I bought it and oddly enough when trying to install it says it is not compatible with my iphone......... ? Me thinks I need a refund.
    2008-12-09 09:38 AM
  3. rrsodl's Avatar
    I bought it and oddly enough when trying to install it says it is not compatible with my iphone......... ? Me thinks I need a refund.
    I think you do too

    Very chicky of developers to put out applications for sale when they don't work reliably
    2008-12-09 11:52 AM
  4. nickh's Avatar
    Works aok for me.
    iPhone 4 | iMac 24" | MacBook Pro 15" | ATV | iPod Classic | Time Capsule | iPad 16 Gb |
    2008-12-09 12:33 PM
  5. z3r01's Avatar
    sound good, is it worth it?
    2008-12-09 12:54 PM
  6. nickh's Avatar
    sound good, is it worth it?
    Yep I think so.
    iPhone 4 | iMac 24" | MacBook Pro 15" | ATV | iPod Classic | Time Capsule | iPad 16 Gb |
    2008-12-09 02:21 PM
  7. one1's Avatar
    Update: it installs great on my 2.2 4gig, but will not install on my 2.1 16gig. Looks like this might be the first round of apple restrictions for the new FW. I knew there was something to that baseband flash screen on the restore to the new FW.
    2008-12-09 09:22 PM
  8. thetoothfairy's Avatar
    Update: it installs great on my 2.2 4gig, but will not install on my 2.1 16gig. Looks like this might be the first round of apple restrictions for the new FW. I knew there was something to that baseband flash screen on the restore to the new FW.
    So do you like it? I didn't buy it yet.... I have so many apps right now that I am out of screens to use....
    2008-12-09 09:25 PM
  9. one1's Avatar
    Dunno yet, I need someone on 2.1 to try and install monopoly. This might be news.
    2008-12-09 09:30 PM
  10. thetoothfairy's Avatar
    Dunno yet, I need someone on 2.1 to try and install monopoly. This might be news.
    Just looked at my other iphone... was going to buy it and help ya out but the hubby updated it already to 2.2.....
    2008-12-09 09:41 PM
  11. cpjr's Avatar
    Yeah there are a few apps already out/updated that will ONLY run on 2.2.

    Which is, well....crap.
    2008-12-09 09:42 PM
  12. marcf's Avatar
    It's not working on my updated firmware..
    2008-12-09 10:47 PM
  13. cricketlang's Avatar
    ^^^^they did this same thing with the release of the 2.1 firmware so im not surprised at all. i remember downloading that atari brick game and it was telling me i had to have 2.1 in order to install it. thats back in the day when i hated restoring. now i could care less. once again apple is herding thier customers to where they want them
    The beatings will continue until morale improves.
    2008-12-09 10:48 PM
  14. ThunderBull4's Avatar
    Wait so you mean there are some apps that only work on 2.1? So 2.2 isn't backward compatible with all apps?
    1st Gen iPod Touch | 8 GB | 2.2 firmware | Jailbroken
    2008-12-10 02:50 AM
  15. sziklassy's Avatar
    Sucks that it only works on 2.2, however I don;t see it as "bad" unless they don't warn the buyer (which seems to be the case)
    ------------------------------------------------------------------------------------------------------------------------------------------------------------------
    I once prayed to God for an iPhone, but quickly found out He didn't work that way...so I stole an iPhone and prayed for His forgiveness.

    A dog is the only thing on earth that loves you more than you love yourself. - Josh Billings
    2008-12-10 10:55 PM
  16. marcf's Avatar
    It's not working for me and i have 2.2.



    Sucks that it only works on 2.2, however I don;t see it as "bad" unless they don't warn the buyer (which seems to be the case)
    2008-12-10 11:14 PM
  17. SeeJay's Avatar
    this game is addicting..
    2008-12-11 02:52 AM
LINK TO POST COPIED TO CLIPBOARD